org.eclipse.net4j.util.om.pref

## Interface OMPreference<T>

-     public interface OMPreference<T>

  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `OMPreference.Participant`
    `static class` | `OMPreference.Type`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getDefaultValue()`
    `String` | `getName()`
    `OMPreferences` | `getPreferences()`
    `OMPreference.Type` | `getType()`
    `T` | `getValue()`
    `boolean` | `isSet()`
    `T` | `setValue(T value)`
    `T` | `unSet()`

- - ### Method Detail

    - #### getPreferences

          OMPreferences getPreferences()

    - #### getName

          String getName()

    - #### getType

          OMPreference.Type getType()

    - #### getDefaultValue

          T getDefaultValue()

    - #### getValue

          T getValue()

    - #### setValue

          T setValue(T value)

    - #### unSet

          T unSet()

    - #### isSet

          boolean isSet()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html